'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/* eslint-disable no-use-before-define */
/* eslint-disable camelcase */
exports.ButtonType = void 0;
(function (ButtonType) {
    ButtonType["Primary"] = "Primary";
    ButtonType["Secondary"] = "Secondary";
    ButtonType["Tertiary"] = "Tertiary";
    ButtonType["Danger"] = "Danger";
})(exports.ButtonType || (exports.ButtonType = {}));
exports.ButtonShape = void 0;
(function (ButtonShape) {
    ButtonShape["Round"] = "Round";
    ButtonShape["Rectangle"] = "Rectangle";
})(exports.ButtonShape || (exports.ButtonShape = {}));
exports.ButtonSize = void 0;
(function (ButtonSize) {
    ButtonSize["Small"] = "Small";
    ButtonSize["Medium"] = "Medium";
    ButtonSize["Large"] = "Large";
    ButtonSize["Max"] = "Max";
})(exports.ButtonSize || (exports.ButtonSize = {}));
exports.ButtonColor = void 0;
(function (ButtonColor) {
    ButtonColor["Green"] = "Green";
    ButtonColor["Black"] = "Black";
    ButtonColor["Grey"] = "Grey";
})(exports.ButtonColor || (exports.ButtonColor = {}));
exports.SortEnum = void 0;
(function (SortEnum) {
    SortEnum[SortEnum["ASC"] = 0] = "ASC";
    SortEnum[SortEnum["DESC"] = 1] = "DESC";
})(exports.SortEnum || (exports.SortEnum = {}));
exports.FilterVisibility = void 0;
(function (FilterVisibility) {
    FilterVisibility["Visible"] = "Visible";
    FilterVisibility["Hidden"] = "Hidden";
})(exports.FilterVisibility || (exports.FilterVisibility = {}));
exports.AddressType = void 0;
(function (AddressType) {
    AddressType["Shipping"] = "Shipping";
    AddressType["Billing"] = "Billing";
})(exports.AddressType || (exports.AddressType = {}));
exports.OrderStage = void 0;
(function (OrderStage) {
    OrderStage["Quotation"] = "Quotation";
    OrderStage["QuotationSent"] = "QuotationSent";
    OrderStage["SalesOrder"] = "SalesOrder";
    OrderStage["Locked"] = "Locked";
    OrderStage["Cancelled"] = "Cancelled";
})(exports.OrderStage || (exports.OrderStage = {}));

var orderFragment = "\norder {\n  id\n  name\n  amountTotal\n  amountTax\n  amountDelivery\n  dateOrder\n  orderUrl\n  stage\n  websiteOrderLine {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  orderLines {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  partnerInvoice {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state {\n      id\n    }\n  }\n  partnerShipping {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state { \n      id\n    }\n  }\n  shippingMethod{\n    id\n    name\n    price\n  }\n}\n";

var partnerFragment = "\npartner{\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n";

var productFragment = "\n  id\n  firstVariant\n  smallImage\n  price\n  name\n  description\n  image\n  imageFilename\n  slug\n  sku\n  jsonLd\n  isInWishlist\n  categories {\n    id\n    name\n    slug\n    parent{\n      parent{\n        id\n      }\n    }\n  }\n  attributeValues {\n    id\n    name\n    displayType\n    priceExtra\n    attribute {\n      id\n      name\n    }\n    search\n  }\n";

var wishlistItemsFragment = "\nwishlistItems {\n    id\n    product {\n      id\n      name\n      description\n      image\n      price\n      imageFilename\n      isInWishlist\n      firstVariant\n      slug\n    }\n  }\n";

exports.orderFragment = orderFragment;
exports.partnerFragment = partnerFragment;
exports.productFragment = productFragment;
exports.wishlistItemsFragment = wishlistItemsFragment;
//# sourceMappingURL=index.cjs.js.map
