/* eslint-disable no-use-before-define */
/* eslint-disable camelcase */
var ButtonType;
(function (ButtonType) {
    ButtonType["Primary"] = "Primary";
    ButtonType["Secondary"] = "Secondary";
    ButtonType["Tertiary"] = "Tertiary";
    ButtonType["Danger"] = "Danger";
})(ButtonType || (ButtonType = {}));
var ButtonShape;
(function (ButtonShape) {
    ButtonShape["Round"] = "Round";
    ButtonShape["Rectangle"] = "Rectangle";
})(ButtonShape || (ButtonShape = {}));
var ButtonSize;
(function (ButtonSize) {
    ButtonSize["Small"] = "Small";
    ButtonSize["Medium"] = "Medium";
    ButtonSize["Large"] = "Large";
    ButtonSize["Max"] = "Max";
})(ButtonSize || (ButtonSize = {}));
var ButtonColor;
(function (ButtonColor) {
    ButtonColor["Green"] = "Green";
    ButtonColor["Black"] = "Black";
    ButtonColor["Grey"] = "Grey";
})(ButtonColor || (ButtonColor = {}));
var SortEnum;
(function (SortEnum) {
    SortEnum[SortEnum["ASC"] = 0] = "ASC";
    SortEnum[SortEnum["DESC"] = 1] = "DESC";
})(SortEnum || (SortEnum = {}));
var FilterVisibility;
(function (FilterVisibility) {
    FilterVisibility["Visible"] = "Visible";
    FilterVisibility["Hidden"] = "Hidden";
})(FilterVisibility || (FilterVisibility = {}));
var AddressType;
(function (AddressType) {
    AddressType["Shipping"] = "Shipping";
    AddressType["Billing"] = "Billing";
})(AddressType || (AddressType = {}));
var OrderStage;
(function (OrderStage) {
    OrderStage["Quotation"] = "Quotation";
    OrderStage["QuotationSent"] = "QuotationSent";
    OrderStage["SalesOrder"] = "SalesOrder";
    OrderStage["Locked"] = "Locked";
    OrderStage["Cancelled"] = "Cancelled";
})(OrderStage || (OrderStage = {}));

var orderFragment = "\norder {\n  id\n  name\n  amountTotal\n  amountTax\n  amountDelivery\n  dateOrder\n  orderUrl\n  stage\n  websiteOrderLine {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  orderLines {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  partnerInvoice {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state {\n      id\n    }\n  }\n  partnerShipping {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state { \n      id\n    }\n  }\n  shippingMethod{\n    id\n    name\n    price\n  }\n}\n";

var partnerFragment = "\npartner{\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n";

var productFragment = "\n  id\n  firstVariant\n  smallImage\n  price\n  name\n  description\n  image\n  imageFilename\n  slug\n  sku\n  jsonLd\n  isInWishlist\n  categories {\n    id\n    name\n    slug\n    parent{\n      parent{\n        id\n      }\n    }\n  }\n  attributeValues {\n    id\n    name\n    displayType\n    priceExtra\n    attribute {\n      id\n      name\n    }\n    search\n  }\n";

var wishlistItemsFragment = "\nwishlistItems {\n    id\n    product {\n      id\n      name\n      description\n      image\n      price\n      imageFilename\n      isInWishlist\n      firstVariant\n      slug\n    }\n  }\n";

export { AddressType, ButtonColor, ButtonShape, ButtonSize, ButtonType, FilterVisibility, OrderStage, SortEnum, orderFragment, partnerFragment, productFragment, wishlistItemsFragment };
//# sourceMappingURL=index.es.js.map
